Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lpsolve
Interface AbortListener

public interface AbortListener

Classes that implement this interface may be passed to the `putAbortfunc` method of the `LpSolve` class.

Author:
  Juergen Ebert
See Also:
  `LpSolve.putAbortfunc(lpsolve.AbortListener, java.lang.Object)`, "lp_solve documentation for 'put_abortfunc'"

Method Summary
`boolean` | `abortfunc(LpSolve problem, java.lang.Object userhandle)` When set, the abort routine is called regularly during solve().

Method Detail

### abortfunc

    public boolean abortfunc(LpSolve problem,
                             java.lang.Object userhandle)
                      throws LpSolveException

  When set, the abort routine is called regularly during solve(). The user can do whatever he wants in this routine.

  Parameters:
    `problem` - the problem this Listener was defined for
    `userhandle` - the userhandle object that was passed to `putAbortfunc`
  Returns:
    if true, then lp_solve aborts the solver and returns with an appropriate code
  Throws:
    `LpSolveException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 - Juergen Ebert